DefaultGrailsServiceClass (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
[Java] Class DefaultGrailsServiceClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.commons.AbstractInjectableGrailsClass
              org.codehaus.groovy.grails.commons.DefaultGrailsServiceClass

All Implemented Interfaces:
  GrailsServiceClass

    public class DefaultGrailsServiceClass
    extends AbstractInjectableGrailsClass

Authors:
  Steven Devijver

Field Summary
`static java.lang.String` | `SERVICE`

Fields inherited from class AbstractGrailsClass
grailsApplication

Constructor Summary
`DefaultGrailsServiceClass(java.lang.Class clazz)`

Method Summary
`java.lang.String` | `getDatasource()`
`boolean` | `isTransactional()`
`boolean` | `usesDatasource(java.lang.String name)`

Methods inherited from class AbstractInjectableGrailsClass
byName, byType, getAvailable

Methods inherited from class AbstractGrailsClass
getClazz, getFullName, getGrailsApplication, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReference, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isAbstract, isActionMethod, isReadableProperty, newInstance, setGrailsApplication, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### SERVICE

    public static final java.lang.String SERVICE

Constructor Detail

### DefaultGrailsServiceClass

    public DefaultGrailsServiceClass(java.lang.Class clazz)

Method Detail

### getDatasource

    public java.lang.String getDatasource()

### isTransactional

    public boolean isTransactional()

### usesDatasource

    public boolean usesDatasource(java.lang.String name)

Groovy Documentation